import { cmd } from "./cmd"
import { McpListCommand } from "./mcp-list"
import { McpAuthCommand, McpAuthListCommand } from "./mcp-auth"
import { McpLogoutCommand } from "./mcp-logout"
import { McpAddCommand } from "./mcp-add"
import { McpRefreshCommand } from "./mcp-refresh"
import { McpDebugCommand } from "./mcp-debug"

export const McpCommand = cmd({
  command: "mcp",
  describe: "manage MCP (Model Context Protocol) servers",
  builder: (yargs) =>
    yargs
      .command(McpAddCommand)
      .command(McpListCommand)
      .command(McpRefreshCommand)
      .command(McpAuthCommand)
      .command(McpLogoutCommand)
      .command(McpDebugCommand)
      .demandCommand(),
  async handler() {},
})

export { McpListCommand, McpAuthCommand, McpAuthListCommand, McpLogoutCommand, McpAddCommand, McpRefreshCommand, McpDebugCommand }
